%global         momorel 1

Name:           perl-DateTime-Event-Sunrise
Version:        0.0504
Release:        %{momorel}m%{?dist}
Summary:        Perl DateTime extension for computing the sunrise/sunset on a given day
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Event-Sunrise/
Source0:        http://www.cpan.org/authors/id/J/JF/JFORGET/DateTime-Event-Sunrise-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime >= 0.21
BuildRequires:  perl-DateTime-Set >= 0.16
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl-DateTime >= 0.21
Requires:       perl-DateTime-Set >= 0.16
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module will return a DateTime recurrence set for sunrise or sunset.

%prep
%setup -q -n DateTime-Event-Sunrise-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0504-1m)
- update to 0.0504

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0503-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0503-2m)
- rebuild against perl-5.18.2

* Fri Oct 18 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0503-1m)
- update to 0.0503

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0502-2m)
- rebuild against perl-5.18.1

* Tue Jul  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0502-1m)
- update to 0.0502

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-21m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-20m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-19m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-18m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-17m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-16m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-15m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-14m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0501-13m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0501-12m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-11m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0501-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-8m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0501-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0501-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0501-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0501-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0501-3m)
- use vendor

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0501-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0501-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
